Package com.arms.api.util.dynamicscheduler.service

## Interface SchedulerService

- All Superinterfaces:
    `TreeService`
  All Known Implementing Classes:
    `SchedulerServiceImpl`

      public interface SchedulerService
      extends TreeService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `cacheStatusMappingData()` |
    `void` | `discoverByDateRange​(SchedulerType schedulerEnum, java.lang.String startDate, java.lang.String endDate)` |
    `void` | `discoverByFullDateRange​(SchedulerType schedulerEnum)` |
    `void` | `discoverByPreviousDay​(SchedulerType schedulerEnum)` |
    `void` | `retryFailedReqStatusCreationToElasticsearch​(SchedulerType schedulerEnum)` |
    `void` | `updateReqStatusFromElasticsearch​(SchedulerType schedulerEnum)` |

    - ### Methods inherited from interface com.arms.egovframework.javaservice.treeframework.service.TreeService

      `addNode, alterNode, alterNodeType, getChildNode, getChildNodeWithoutPaging, getNode, getNodesWithoutRoot, getNodesWithoutRootMap, getPaginatedChildNode, moveNode, overwriteNode, removeNode, searchNode, updateField, updateNode`

- - ### Method Detail

    - #### discoverByFullDateRange

          void discoverByFullDateRange​(SchedulerType schedulerEnum)
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### discoverByDateRange

          void discoverByDateRange​(SchedulerType schedulerEnum,
                                   java.lang.String startDate,
                                   java.lang.String endDate)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### discoverByPreviousDay

          void discoverByPreviousDay​(SchedulerType schedulerEnum)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### updateReqStatusFromElasticsearch

          void updateReqStatusFromElasticsearch​(SchedulerType schedulerEnum)
                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### retryFailedReqStatusCreationToElasticsearch

          void retryFailedReqStatusCreationToElasticsearch​(SchedulerType schedulerEnum)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### cacheStatusMappingData

          java.lang.String cacheStatusMappingData()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`